curl --request POST \
--url https://api.symmetry.com/spf/fillPdf \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"formId": "AL101",
"employee": {
"firstName": "John",
"lastName": "Smith",
"socialSecurityNumber": "123-45-6789",
"address": {
"streetAddress1": "11 S Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
}
},
"employer": {
"name": "Symmetry",
"federalEIN": "98-7654321",
"telephoneNumber": "456-867-5309",
"address": {
"streetAddress1": "64 N Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
}
},
"fields": {
"filingStatus": "SINGLE",
"dependents": 1,
"additionalStateWithholding": 25
}
}
'{
"form": "AL101",
"pdf": "BASE 64 PDF DATA...",
"taxParameters": [
{
"id": "AL.dependents",
"value": "0"
},
{
"id": "AL.filingStatus",
"value": "0"
},
{
"id": "additionalStateWithholding",
"value": "0.00"
},
{
"id": "mustFileWithState",
"value": "false"
},
{
"id": "employerIntervention",
"value": "false"
},
{
"id": "employerInterventionReason",
"value": "null"
}
]
}Retrieve completed form PDF and tax parameters
Return a completed form PDF and relevant tax parameters based on submitted employee data.
curl --request POST \
--url https://api.symmetry.com/spf/fillPdf \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"formId": "AL101",
"employee": {
"firstName": "John",
"lastName": "Smith",
"socialSecurityNumber": "123-45-6789",
"address": {
"streetAddress1": "11 S Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
}
},
"employer": {
"name": "Symmetry",
"federalEIN": "98-7654321",
"telephoneNumber": "456-867-5309",
"address": {
"streetAddress1": "64 N Union St",
"city": "Montgomery",
"state": "AL",
"zipCode": "36130"
}
},
"fields": {
"filingStatus": "SINGLE",
"dependents": 1,
"additionalStateWithholding": 25
}
}
'{
"form": "AL101",
"pdf": "BASE 64 PDF DATA...",
"taxParameters": [
{
"id": "AL.dependents",
"value": "0"
},
{
"id": "AL.filingStatus",
"value": "0"
},
{
"id": "additionalStateWithholding",
"value": "0.00"
},
{
"id": "mustFileWithState",
"value": "false"
},
{
"id": "employerIntervention",
"value": "false"
},
{
"id": "employerInterventionReason",
"value": "null"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
Form IDs - Use the /getAllFormIds endpoint to get all withholding form IDs available
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
PREVIEW, SIGN, SIGN_EXTERNALLY Use the following variables to set a format: %name% (full name), %firstName, %middleInitial%, %lastName%, %date%, and %dateTime%
Object representation of the Federal W4 (W4101) tax parameters. This object will also accept the tax parameters directly, ex: filingStatus or FED.filingStatus
Show child attributes
Show child attributes
Indicates that the employee has a Federal lock in letter. SPF US only.
Response
OK
Form IDs - Use the /getAllFormIds endpoint to get all withholding form IDs available
Show child attributes
Show child attributes
CANADA_RESIDENT, RESIDENT, NON_RESIDENT, RESIDENT_OUT_OF_STATE, EXEMPT, MILITARY, EIC, LOCAL, PENSION, EXEMPT_STUDENT, EXEMPT_NATIVE_AMERICAN, NONRESIDENT_EMPLOYER, RESIDENT_ALLOWANCE_ADJ, NON_RESIDENT_FORT_CAMPBELL, EXEMPT_TAX_CREDIT, RESIDENT_PITTSBURGH, NON_RESIDENT_PITTSBURGH, TAX_ADJ, EXEMPT_MILITARY_SPOUSE States and territories
Show child attributes
Show child attributes
Was this page helpful?

